---
search:
  tags:
    - Billing
    - GET
seo:
  description: >-
    Get the current billing period. Reference for the GET
    /v1/organizations/{orgId}/billing/current-period endpoint in the Stashtab
    Vault Warehouse API.
sidebar:
  label: Get the current billing period
  badge: GET
title: Get the current billing period
type: openapi-operation
---
`GET /v1/organizations/{orgId}/billing/current-period`

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "asOf": "2019-08-24T14:15:22Z",
    "currency": "string",
    "charges": {
      "reason": "charges_not_available",
      "status": "incomplete"
    },
    "credit": {
      "balance": {
        "amount": -9007199254740991,
        "currency": "string"
      },
      "status": "known"
    },
    "openBill": {
      "amounts": {
        "amountDue": -9007199254740991,
        "amountRemaining": -9007199254740991,
        "currency": "string",
        "subtotal": -9007199254740991,
        "total": -9007199254740991
      },
      "basis": "known",
      "invoiceId": "string",
      "stage": "draft"
    },
    "organizationId": "string",
    "pendingItems": {
      "amount": {
        "amount": -9007199254740991,
        "currency": "string"
      },
      "itemCount": 0,
      "status": "known"
    },
    "period": {
      "endDate": "2019-08-24",
      "endsAt": "2019-08-24T14:15:22Z",
      "id": "string",
      "startDate": "2019-08-24",
      "startsAt": "2019-08-24T14:15:22Z",
      "status": "verified"
    },
    "serviceDate": "2019-08-24",
    "total": {
      "incompleteComponents": [
        "charges"
      ],
      "status": "incomplete"
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
